# Package com.google.android.exoplayer2.ext.cronet

- Class Summary
  Class | Description
  --- | ---
  CronetDataSource | DataSource without intermediate buffer based on Cronet API set using UrlRequest.
  CronetDataSource.Factory | `DataSource.Factory` for `CronetDataSource` instances.
  CronetDataSourceFactory | Deprecated. Use `CronetDataSource.Factory` instead.
  CronetEngineWrapper | A wrapper class for a `CronetEngine`.

- Exception Summary
  Exception | Description
  --- | ---
  CronetDataSource.OpenException | Thrown when an error is encountered when trying to open a `CronetDataSource`.

- Annotation Types Summary
  Annotation Type | Description
  --- | ---
  CronetEngineWrapper.CronetEngineSource | Source of `CronetEngine`.